MAKECATALOG(1)

NAME
MakeCatalog - Make a catalog from labeled input images

SYNOPSIS
astmkcatalog [OPTION...] ASTRdata

DESCRIPTION
MakeCatalog is part of GNU Astronomy Utilities 0.20. MakeCatalog will create a catalog from an input, labeled, and noise images.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of MakeCatalog's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astmkcatalog -P

Inputs/Outputs and options:
    $ info astmkcatalog

Full section in manual/book:
    $ info MakeCatalog

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

MakeCatalog options:

    Input:

--clumpshdu=STR
    Clump labels extension name or number.

--forcereadstd
    Read STD even if no columns need it.

-h, --hdu=STR/INT
    Extension name or number of input data.

-l, --clumpsfile=FITS
    Dataset containing clump labels.

--sigmaclip=FLT,FLT
    Sigma-clip column multiple and tolerance.

--skyhdu=STR
    Sky image extension name or number.

--stdhdu=STR
    Sky STD extension name or number.

--subtractsky
    Subtract the Sky dataset from the values.

-s, --insky=FITS/FLT
    Input Sky value or file.

-t, --instd=STR/FLT
    Sky standard deviation value or dataset.

--valueshdu=STR
    Name or number of extension containing values.

--variance
    STD input dataset is actually variance.

-v, --valuesfile=FITS
    Values/brightness dataset.

--zeropoint=FLT
    Zeropoint magnitude of input dataset.

    Tessellation (tile grid):

--checktiles
    Tile IDs in an image, the size of input.

-F, --remainderfrac=FLT
    Fraction of remainder to split last tile.

--interpmetric=STR
    Interpolation metric (radial, manhattan).

-M, --numchannels=INT[,..] No. of channels in dim.s (FITS order).

--oneelempertile
    Display 1 element/tile, not full input res.

-Z, --tilesize=INT[,INT]
    Regular tile size on dim.s (FITS order).

    Output:

-C, --clumpscat
    Make a clumps catalog also.

-D, --dontdelete
    Don't delete output if it exists.

--inbetweenints
    Keep rows (integer ids) with no labels.

-K, --keepinputdir
    Keep input directory for automatic output.

--noclumpsort
    Don't sort the clumps catalog by ID.

-o, --output=STR
    Output file name.

--sfmagarea=FLT
    Surface brightness area (in arcseconds^2).

--sfmagnsigma=FLT
    Surface brightness multiple of Sky STD.

--tableformat=STR
    Table fmt: 'fits-ascii', 'fits-binary', 'txt'.

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

    Upper limit magnitude settings:

--checkuplim=INT[,INT] Check random distribution for one label.

-e, --envseed
    Use GSL_RNG_SEED environment variable for seed.

--upmaskfile=FITS
    Mask image file name only for upper limit.

--upmaskhdu=STR
    Mask image HDU only for upper limit.

--upnsigma=FLT
    Multiple of sigma to define upperlimit.

--upnum=INT
    Number of randomly positioned samples

--uprange=INT,INT
    Range of random positions (pix) around target.

--upsigmaclip=FLT,FLT
    Sigma multiple and, tolerance or number.

    Settings for other columns:

--frac-max=FLT[,FLT]
    Fraction(s) in --frac-max* options.

--spatialresolution=FLT
    Spatial resolution (for surf. brightness err).

    Identifier columns

--id-in-host-obj
    ID of clump in host object.

-i, --ids
    All IDs of objects and clumps.

-j, --host-obj-id
    ID of object hosting this clump.

--obj-id
    Object label/ID.

    Positional (pixel/image) measurements

--area-max-val
    Number of pixels used in '--max-val-*'.

--area-min-val
    Number of pixels used in '--min-val-*'.

--clumps-geo-x
    Geometric center of all clumps in obj. (X).

--clumps-geo-y
    Geometric center of all clumps in obj. (Y).

--clumps-geo-z
    Geometric center of all clumps in obj. (Z).

--clumps-x
    Flux.wht center of all clumps in obj. (X).

--clumps-y
    Flux.wht center of all clumps in obj. (Y).

--clumps-z
    Flux.wht center of all clumps in obj. (Z).

--geo-x
    Geometric center in first FITS axis.

--geo-y
    Geometric center in second FITS axis.

--geo-z
    Geometric center in third FITS axis.

--max-val-x
    Maximum value's X axis position.

--max-val-y
    Maximum value's Y axis position.

--max-val-z
    Maximum value's Z axis position

--max-x
    Maximum X axis position.

--max-y
    Maximum Y axis position.

--max-z
    Maximum Z axis position.

--min-val-x
    Minimum value's X axis position.

--min-val-y
    Minimum value's Y axis position.

--min-val-z
    Minimum value's Z axis position.

--min-x
    Minimum X axis position.

--min-y
    Minimum Y axis position.

--min-z
    Minimum Z axis position

-x, --x
    Flux weighted center in first FITS axis.

-y, --y
    Flux weighted center in second FITS axis.

-z, --z
    Flux weighted center in third FITS axis.

    Positional (WCS) measurements

--clumps-geo-w1
    Geometric center of all clumps in 1st WCS.

--clumps-geo-w2
    Geometric center of all clumps in 2nd WCS.

--clumps-geo-w3
    Geometric center of all clumps in 3rd WCS.

--clumps-w1
    Flux.wht center of all clumps in 1st WCS.

--clumps-w2
    Flux.wht center of all clumps in 2nd WCS.

--clumps-w3
    Flux.wht center of all clumps in 3rd WCS.

-d, --dec
    Flux weighted center declination.

--geo-w1
    Geometric center in first WCS axis.

--geo-w2
    Geometric center in second WCS axis.

--geo-w3
    Geometric center in third WCS axis.

-r, --ra
    Flux weighted center right ascension.

--w1
    Flux weighted center in first WCS axis.

--w2
    Flux weighted center in second WCS axis.

--w3
    Flux weighted center in third WCS axis.

    Brightness/magnitude (only using pixel value/error) measurements

--clumps-magnitude
    Magnitude of all clumps in object.

--clumps-sum
    Brightness of clumps in an object.

--magnitude-error
    Magnitude error of objects or clumps.

--maximum
    Maximum value (mean of top three pixels)

--mean
    Mean of values in object/clump.

--median
    Median of values in object/clump.

-m, --magnitude
    Total magnitude of objects or clumps.

--river-mean
    Mean river value surrounding a clump.

--river-num
    Number of river pixels around a clump.

--sigclip-mean
    Mean after Sigma-clipping

--sigclip-median
    Median after Sigma-clipping

--sigclip-number
    Number of pixels in Sigma-clipped measurement.

--sigclip-std
    Standard deviation after Sigma-clipping

--sky
    Sky value (per pixel).

--sky-std
    Sky standard deviation (per pixel).

--sn
    Signal to noise ratio of objects or clumps.

--std
    Standard dev. of values in object/clump.

--sum
    Sum of pixel values in each label.

--sum-error
    Error (1-sigma) in measuring sum.

--sum-no-river
    Sky (not river) subtracted clump sum.

--upperlimit
    Upper-limit value, use other options to config.

--upperlimit-mag
    Upper-limit mag. use other options to config.

--upperlimit-onesigma
    Upper-limit one sigma value.

--upperlimit-quantile
    Quantile in random distribution (max 1).

--upperlimit-sigma
    Place in random distribution (sigma multiple).

--upperlimit-skew
    (Mean-Median)/STD of random distribution.

    Surface brightness measurements (all: mag/arcsec^2)

--half-max-sb
    Surface brightness within half the maximum.

--half-sum-sb
    Surface brightness within --halfsumarea.

--sb
    Surface brightness.

--sb-error
    Surface brightness error from STD/VAR image.

--sigclip-mean-sb
    Surface brightness of sigclip-mean (1 pix area).

--sigclip-mean-sb-delta
    sigclip-mean-sb delta from sigclip'd STD.

--sigclip-std-sb
    Surface brightness of sigclip-std (1 pix area).

--upperlimit-sb
    Upper-limit surface brightness.

    Morphology/shape (non-parametric) measurements

--area
    Number of non-blank valued pixels.

--area-arcsec2
    Area of labeled region in arcsec^2.

--area-xy
    Projected area in first two dimensions.

--clumps-area
    Non-blank area covered by clumps.

--frac-max1-area
    Area containing 1st fraction of maximum.

--frac-max1-radius
    Radius calculated from --fracmaxarea1.

--frac-max1-sum
    Sum of pixels brighter than 1st frac. of max.

--frac-max2-area
    Area containing 2nd fraction of maximum.

--frac-max2-radius
    Radius calculated from --fracmaxarea2.

--frac-max2-sum
    Sum of pixels brighter than 2nd frac. of max.

--fwhm
    Full width at half max (non-parametric).

--geo-area
    Area labled region (irrespective of value).

--geo-area-xy
    Projected geo-area in first two dimensions.

--half-max-area
    No. pixels valued above half the max.

--half-max-radius
    Radius at half the maximum (non-parametric).

--half-max-sum
    Sum of pixels above half the maximum.

--half-sum-area
    Area containing half of --brightness.

--half-sum-radius
    Radius calculated from --halfsumarea.

--num-clumps
    Number of clumps in this object.

--weight-area
    Area used for value weighted positions.

    Morphology/shape (elliptical) measurements

--axis-ratio
    Flux weighted axis ratio.

--geo-axis-ratio
    Geometric (ignoring values, only lab) axis ratio.

--geo-position-angle
    Geometric (ignoring values, only lab) pos. angle.

--geo-semi-major
    Geometric RMS along major axis (ignoring value).

--geo-semi-minor
    Geometric RMS along minor axis (ignoring value).

--position-angle
    Flux weighted position angle.

--semi-major
    RMS along major axis (in pixels).

--semi-minor
    RMS along minor axis (in pixels).

    Vector (multi-valued) measurements

--area-in-slice
    [3D input] Number of labeled in each slice.

--area-other-in-slice
    [3D input] Area of other lab. in projected area.

--area-proj-in-slice
    [3D input] Num. voxels in '--sum-proj-in-slice'.

--sum-err-in-slice
    [3D input] Error in '--sum-in-slice'.

--sum-in-slice
    [3D input] Sum of values in each slice.

--sum-other-err-in-slice
    [3D input] Area in '--sum-other-in-slice'.

--sum-other-in-slice
    [3D input] Sum of other lab. in projected area.

--sum-proj-err-in-slice
    [3D input] Error of '--sum-proj-in-slice'.

--sum-proj-in-slice
    [3D input] Sum of projected area in each slice.

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--lastconfig
    Do not parse any more configuration files.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2023 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for MakeCatalog is maintained as a Texinfo manual. If the info and MakeCatalog programs are properly installed at your site, the command

    info MakeCatalog

should give you access to the complete manual.